# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
VALA_USE_DEPEND="vapigen"

inherit meson vala

SRC_URI="https://github.com/flatpak/${PN}/releases/download/${PV}/${P}.tar.xz"
DESCRIPTION="Flatpak portal library"
HOMEPAGE="https://github.com/flatpak/libportal"

LICENSE="LGPL-2"
SLOT="0"
IUSE="test vala introspection doc"

KEYWORDS="~amd64 ~arm64"

RDEPEND="dev-libs/glib:2"

DEPEND="
	${RDEPEND}
	doc? (
		dev-util/gtk-doc
		dev-util/gi-docgen
	)
	vala? ( $(vala_depend) )
"

src_prepare() {
	default
	use vala && vala_src_prepare
}

src_configure() {
	local emesonargs=(
		$(meson_use vala vapi)
		$(meson_use introspection)
		$(meson_use test portal-tests)
		$(meson_use doc docs)
	)

	meson_src_configure
}
