# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit autotools xdg-utils

DESCRIPTION="Tool to monitor network traffic per process."
HOMEPAGE="https://github.com/berghetti/netproc"
SRC_URI="https://github.com/berghetti/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"

LICENSE="GPL-3"
SLOT="0"
IUSE=""

RDEPEND="sys-libs/ncurses:="
DEPEND="${RDEPEND}"

DOCS=( CHANGELOG README.md )

src_compile() {
	prefix="/usr" emake
}

src_install() {
	prefix="/usr" emake DESTDIR=${ED} install
}
