# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit systemd

DESCRIPTION="Powerful and extensible open source Wiki software"
HOMEPAGE="https://wiki.js.org"
SRC_URI="https://github.com/Requarks/wiki/releases/download/v${PV}/wiki-js.tar.gz -> ${P}.tar.gz"

LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="*"

RDEPEND="
	acct-user/wikijs
	>=net-libs/nodejs-14
	>=dev-db/postgresql-9.5
"

src_unpack() {
	mkdir "${P}"
	cd "${P}"
	unpack "${A}"
}

src_install() {
	insinto /usr/share/${PN}
	doins -r assets data node_modules server package.json
	
	insinto /etc/${PN}
	mv config.sample.yml config.yml.example
	doins config.yml.example
	
	dosym /etc/${PN}/config.yml /usr/share/${PN}/config.yml
	
	systemd_dounit ${FILESDIR}/${PN}.service
}

pkg_postinst() {
	elog "Before enabling ${PN}.service, create a configuration file:"
	elog "# cp /etc/${PN}/config.yml.example /etc/${PN}/config.yml"
	elog "and edit its contents to match your needs."
}
